{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Invoice report"
       iTotal   = 0
       iDone    = 0
       cTable   = "ec-invoice-report".

DEF BUFFER b-ec-invoice-report    FOR ec-invoice-report.
DEF BUFFER b-ec-invoice           FOR ec-invoice.
DISABLE TRIGGERS FOR LOAD OF b-ec-invoice-report ALLOW-REPLICATION.
DISABLE TRIGGERS FOR LOAD OF b-ec-invoice ALLOW-REPLICATION.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH ec-invoice-report NO-LOCK:
  DO TRANSACTION:
    FIND b-ec-invoice-report EXCLUSIVE WHERE ROWID(b-ec-invoice-report) = ROWID(ec-invoice-report).
    b-ec-invoice-report.invoice_mode = "NORMAL".
  END.
  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

FOR EACH ec-invoice NO-LOCK:
  DO TRANSACTION:
    FIND b-ec-invoice EXCLUSIVE WHERE ROWID(b-ec-invoice) = ROWID(ec-invoice).
    b-ec-invoice.invoice_mode = "NORMAL".
  END.
  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
